import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

// 初始化采购员
export function initBuyer() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '人事档案管理_人员与角色_查询数据_采购员'
    }
  })
}
// 采购合同查询
export function searchTable1(radio, check1, supplier, check2, start, end, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间采购管理_合同审批查询_查询数据',
      param: '查询全部=' + radio + '&供应商名称_check=' + check1 + '&供应商名称=' + supplier + '&时间段_check=' + check2 + '&开始时间=' + start + '&结束时间=' + end,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 采购合同明细查询
export function searchTable2(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '采购管理_采购合同内容_查询数据',
      param: '采购合同流水号=' + num
    }
  })
}

// 合同审批撤回
export function cancelapproval(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间采购管理_合同审批撤回',
      param: '采购合同流水号=' + num
    }
  })
}
